OSIE (Open Source Industrial Edge) will deliver "Industrial Edge as a Service" (IEaaS), a disruptive cloud service
which transforms industrial automation into a branch of the open source software and hardware ecosystems. OSIE
will cut prices by an order of magnitude, eliminate interoperability blockers, accelerate data-driven business and
provide flexibility for Industry 4.0. It will support real-time orchestration and deterministic, end-to-end
communication at the edge using generic hardware.

The project consists of:

*  Beremiz - sample PLC program source code
*  CAD - 3D printer CAD / CAM files (for coupler and MOD-IO cases)
*  coupler - source code of the coupler think client application
*  multicast-keep-alive - a POC keep-alive network implementation in Python using multicast / UDP
*  notebooks - various notebooks used for measurements of the different system components
*  rt_analyzer - sample analyze program as well cyclictest usage
*  tests - coupler unit tests

For more information please visit https://www.osie-project.eu/
